# Uses of Enum Class
org.kapott.hbci.sepa.jaxb.camt_052_001_09.CardPaymentServiceType2Code

Packages that use CardPaymentServiceType2Code
Package
Description
org.kapott.hbci.sepa.jaxb.camt_052_001_09

## Uses of CardPaymentServiceType2Code in org.kapott.hbci.sepa.jaxb.camt_052_001_09

Fields in org.kapott.hbci.sepa.jaxb.camt_052_001_09 declared as CardPaymentServiceType2Code
Modifier and Type
Field
Description
`protected CardPaymentServiceType2Code`
CardAggregated2.`addtlSvc`
`protected CardPaymentServiceType2Code`
CardIndividualTransaction2.`addtlSvc`
Methods in org.kapott.hbci.sepa.jaxb.camt_052_001_09 that return CardPaymentServiceType2Code
Modifier and Type
Method
Description
`static CardPaymentServiceType2Code`
CardPaymentServiceType2Code.`fromValue(String v)`
`CardPaymentServiceType2Code`
CardAggregated2.`getAddtlSvc()`
Gets the value of the addtlSvc property.
`CardPaymentServiceType2Code`
CardIndividualTransaction2.`getAddtlSvc()`
Gets the value of the addtlSvc property.
`static CardPaymentServiceType2Code`
CardPaymentServiceType2Code.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CardPaymentServiceType2Code[]`
CardPaymentServiceType2Code.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.kapott.hbci.sepa.jaxb.camt_052_001_09 with parameters of type CardPaymentServiceType2Code
Modifier and Type
Method
Description
`void`
CardAggregated2.`setAddtlSvc(CardPaymentServiceType2Code value)`
Sets the value of the addtlSvc property.
`void`
CardIndividualTransaction2.`setAddtlSvc(CardPaymentServiceType2Code value)`
Sets the value of the addtlSvc property.